# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models

class Migration(SchemaMigration):

    def forwards(self, orm):

        # Delete old field
        db.delete_column('deviations_deviationscenario', 'is_ok')
        # Rename new field
        db.rename_column('deviations_deviationscenario', 'is_ok_temp', 'is_ok')

    def backwards(self, orm):

        # Rename new field
        db.rename_column('deviations_deviationscenario', 'is_ok', 'is_ok_temp')
        # Add old field
        db.add_column('deviations_deviationscenario', 'is_ok', self.gf('django.db.models.fields.BooleanField')(default=False), keep_default=False)


    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'deviations.attentionpoint': {
            'Meta': {'ordering': "('type', 'name')", 'object_name': 'AttentionPoint'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'measure': ('utils.versioning.models.VersionedForeignKey', [], {'blank': 'True', 'related_name': "'attentionpoints'", 'null': 'True', 'to': "orm['deviations.DeviationMeasure']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'suggestionlist': ('utils.versioning.models.VersionedForeignKey', [], {'blank': 'True', 'related_name': "'attentionpoints'", 'null': 'True', 'to': "orm['deviations.DeviationAPSuggestionlist']"}),
            'type': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'attentionpoint_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'attentionpoint_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.cause': {
            'Meta': {'object_name': 'Cause'},
            'condition': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'frequency': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'probability': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'cause_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'cause_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.causetreeelement': {
            'Meta': {'object_name': 'CauseTreeElement'},
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'causetreeelement_related'", 'null': 'True', 'to': "orm['contenttypes.ContentType']"}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'elementtype': ('django.db.models.fields.SmallIntegerField', [], {}),
            'gate': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'object_id': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'causetreeelement_children'", 'null': 'True', 'to': "orm['deviations.CauseTreeElement']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'scenario': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['deviations.DeviationScenario']"}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'causetreeelement_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'causetreeelement_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.dependency': {
            'Meta': {'object_name': 'Dependency'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'element1': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'dependencies_forward'", 'to': "orm['deviations.CauseTreeElement']"}),
            'element2': ('utils.versioning.models.VersionedForeignKey', [], {'related_name': "'dependencies_reverse'", 'to': "orm['deviations.CauseTreeElement']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dependency_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'dependency_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationapsuggestionlist': {
            'Meta': {'object_name': 'DeviationAPSuggestionlist'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'system': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationapsuggestionlist_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationapsuggestionlist_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationlopapath': {
            'Meta': {'ordering': "('number',)", 'object_name': 'DeviationLopaPath'},
            'final': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'frequency': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'high': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'initiating': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'number': ('django.db.models.fields.IntegerField', [], {}),
            'scenario': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['deviations.DeviationScenario']"}),
            'target': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationlopapathelement': {
            'Meta': {'ordering': "('number',)", 'object_name': 'DeviationLopaPathElement'},
            'disabled': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'elementtype': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'freq': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'number': ('django.db.models.fields.IntegerField', [], {}),
            'path': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['deviations.DeviationLopaPath']"}),
            'prob': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationmeasure': {
            'Meta': {'object_name': 'DeviationMeasure'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'tag': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationmeasure_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationmeasure_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationprotectionlayer_measure': {
            'Meta': {'object_name': 'DeviationProtectionLayer_Measure'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'measure': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['deviations.DeviationMeasure']"}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'protectionlayer': ('utils.versioning.models.VersionedForeignKey', [], {'to': "orm['deviations.ProtectionLayer']"}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationprotectionlayer_measure_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationprotectionlayer_measure_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationscenario': {
            'Meta': {'ordering': "('type', 'name')", 'object_name': 'DeviationScenario'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'evaluation': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_ok': ('django.db.models.fields.SmallIntegerField', [], {'default': '0'}),
            'lopa_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'scope': ('utils.versioning.models.VersionedForeignKey', [], {'blank': 'True', 'related_name': "'deviations_scenario_set'", 'null': 'True', 'to': "orm['installations.Scope']"}),
            'suggestionlist': ('utils.versioning.models.VersionedForeignKey', [], {'blank': 'True', 'related_name': "'scenarios'", 'null': 'True', 'to': "orm['deviations.DeviationSuggestionlist']"}),
            'target_frequency': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'use_LOPA': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationscenario_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationscenario_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.deviationsuggestionlist': {
            'Meta': {'object_name': 'DeviationSuggestionlist'},
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'system': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationsuggestionlist_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'deviationsuggestionlist_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'deviations.protectionlayer': {
            'Meta': {'object_name': 'ProtectionLayer'},
            'SL': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'effectivity': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'rel': ('django.db.models.fields.FloatField', [], {'null': 'True', 'blank': 'True'}),
            'reliability': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'reltype': ('django.db.models.fields.SmallIntegerField', [], {'default': '1'}),
            'risks': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'protectionlayer_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'protectionlayer_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'installations.scope': {
            'Meta': {'object_name': 'Scope'},
            'auto': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'date_changed': ('django.db.models.fields.DateTimeField', [], {}),
            'date_created': ('django.db.models.fields.DateTimeField', [], {}),
            'deleted': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'new': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False', 'blank': 'True'}),
            'published_dirty': ('django.db.models.fields.BooleanField', [], {'default': 'True', 'blank': 'True'}),
            'user_changed': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'scope_changed'", 'to': "orm['auth.User']"}),
            'user_created': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'scope_created'", 'to': "orm['auth.User']"}),
            'v_id': ('django.db.models.fields.IntegerField', [], {}),
            'version': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['versioning.Version']", 'null': 'True', 'blank': 'True'})
        },
        'versioning.version': {
            'Meta': {'ordering': "('-date',)", 'object_name': 'Version'},
            'date': ('django.db.models.fields.DateTimeField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'published': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'created_versions'", 'to': "orm['auth.User']"})
        }
    }

    complete_apps = ['deviations']
