from django.conf import settings
from django.core.management.base import BaseCommand, CommandError
from conversion.convert_sd2 import convert_sd2
import logging
from os import path as os_path

class Command(BaseCommand):
    args = '<substancefile>'

    def handle(self, *labels, **options):
        if len(labels) != 1:
            raise CommandError('Enter exactly one substancefile.')

        files =[os_path.join(settings.CONVERSION_PATH, file) for file in labels]

       # create logger
        logger = logging.getLogger()
        logger.setLevel(logging.DEBUG)
        # create console handler and set level to debug
        ch = logging.StreamHandler()
        verbosity = int(options.get('verbosity', 1))
        if verbosity == 0:
            ch.setLevel(logging.ERROR)
        elif verbosity == 2:
            ch.setLevel(logging.DEBUG)
        else:
            ch.setLevel(logging.INFO)
        formatter = logging.Formatter("%(levelname)s - %(message)s")
        # add formatter to ch
        ch.setFormatter(formatter)
        # add ch to logger
        logger.addHandler(ch)

        return convert_sd2(files[0])

