"""
celery tasks for hazards
"""

from django.conf import settings

from django.utils.translation import ugettext_lazy as _
from utils import reports as utils_reports
from utils.versioning.models import Version, WorkVersion
from hazards import models as app_models

def mail_matrix_report(user, language, choices, version_id=None):
    if not version_id:
        version = WorkVersion
    else:
        version = Version.objects.get(pk=version_id)
    pdf = app_models.Reaction.get_matrix_report(user, version, language, choices)
    reference = _('Reaction matrix')
    utils_reports.send_mail(pdf, user, language=language, reference=reference)

if settings.USE_CELERY:
    from celery.task import task
    mail_matrix_report = task(mail_matrix_report)
