from django.conf.urls import *
from tasks.views import task
from utils.urlhelpers import decorated_patterns
from utils.permissions import permission_required

urlpatterns = decorated_patterns('', permission_required('tasks.display_tasks'),
    url(r'^$', task.tasks(), name='tasks'),
    url(r'^add-for/(?P<app_label>[\w\-]+)/(?P<module_name>[\w\-]+)/(?P<object_id>\d+)/$', task.add(), name="tasks_add"),
    url(r'^display-for/(?P<app_label>[\w\-]+)/(?P<module_name>[\w\-]+)/(?P<object_id>\d+)/$', task.display_for(), name="tasks_display_for"),
    url(r'^(?P<object_id>\d+)/edit/$', task.edit(), name='tasks_task_edit'),
    url(r'^(?P<object_id>\d+)/delete/$', task.delete(), name='tasks_task_delete'),
    url(r'^(?P<object_id>\d+)/pdf/$', task.report(), name='tasks_task_report'),
    url(r'^(?P<object_id>\d+)/$', task.display(), name='tasks_task_display'),
)